Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface RemoteApis.RaSAG

Enclosing interface:
  RemoteApis

    public static interface RemoteApis.RaSAG

It is for RA SAG APIs.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `RemoteApis.RaSAG.SAGLMAC` It is for SAG Local Message Authentication Code (LMAC) APIs.

Method Summary
`void` | `call()` Call
`void` | `connect()` This function establishes the connection.
`void` | `connect(java.lang.String args)` This function establishes the connection.
`void` | `disconnect()` This function disconnects the connection but keeps the handle object.
`RemoteApis.RaSAG.SAGLMAC` | `getLMAC()` Gets the SAG LMAC.
`SAGMessage` | `getRequest()` Gets the request.
`SAGMessage` | `getResponse()` Gets the response.
`long` | `getToken()` Gets the token.
`void` | `receiveAnyResponse()` Receive any response.
`void` | `receiveAnyResponse(long timeout)` Receive any response.
`void` | `receiveRequest()` Receive the request.
`void` | `receiveRequest(long timeout)` Receive the request (long).
`void` | `receiveResponse()` Receive response.
`void` | `receiveResponse(long timeout)` Receive response.
`void` | `sendError(long errorCode, java.lang.String errorData)` Send the error.
`void` | `sendRequest()` Send request.
`void` | `sendResponse()` Send the response.
`void` | `setRequest(SAGMessage request)` Sets the request.
`void` | `setResponse(SAGMessage response)` Sets the response.
`void` | `setToken(long token)` Sets the token.
`void` | `subscribe()` This method establishes the subscription of a message partner to get its addressed server traffic.
`void` | `subscribe(java.lang.String address)` This method establishes the subscription of a message partner to get its addressed server traffic.
`void` | `subscribe(java.lang.String address, java.lang.String arguments)` This method establishes the subscription of a message partner to get its addressed server traffic.
`void` | `unsubscribe(java.lang.String address)` This method ends the subscription of a message partner.

Method Detail

### connect

    void connect()
                 throws SAGApplicationException

  This function establishes the connection.

  Throws:
    `SAGApplicationException` - on error

### connect

    void connect(java.lang.String args)
                 throws SAGApplicationException

  This function establishes the connection.

  Parameters:
    `args` - Argument passing for future use. Must be an empty string with SAG 6.0.0.
  Throws:
    `SAGApplicationException` - on error

### disconnect

    void disconnect()
                    throws SAGApplicationException

  This function disconnects the connection but keeps the handle object. All the methods get that are currently executing by threads will immediately return with an error indication.

  Throws:
    `SAGApplicationException` - on error

### call

    void call()
              throws SAGApplicationException

  Call

  Input : Request Output: Response

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### sendRequest

    void sendRequest()
                     throws SAGApplicationException

  Send request.

  Input : Request Output: Token

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### receiveResponse

    void receiveResponse()
                         throws SAGApplicationException

  Receive response.

  Input : Token Output: Response

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### receiveResponse

    void receiveResponse(long timeout)
                         throws SAGApplicationException

  Receive response.

  Input : Token Output: Response

  Parameters:
    `timeout` -
  Throws:
    `SAGApplicationException` - upon error.

### receiveAnyResponse

    void receiveAnyResponse()
                            throws SAGApplicationException

  Receive any response.

  Input : None Output: Response, Token

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### receiveAnyResponse

    void receiveAnyResponse(long timeout)
                            throws SAGApplicationException

  Receive any response.

  Input : None Output: Response, Token

  Parameters:
    `timeout` -
  Throws:
    `SAGApplicationException` - upon error.

### subscribe

    void subscribe()
                   throws SAGApplicationException

  This method establishes the subscription of a message partner to get its addressed server traffic. It takes address and LMAC arguments (when Local Authentication is required) from e*Way's configuration.

  Throws:
    `SAGApplicationException` - on error

### subscribe

    void subscribe(java.lang.String address)
                   throws SAGApplicationException

  This method establishes the subscription of a message partner to get its addressed server traffic.

  Parameters:
    `address` - Argument to set with the message partner name. This name is used as the address of the server traffic of a message partner.
  Throws:
    `SAGApplicationException` - on error

### subscribe

    void subscribe(java.lang.String address,
                   java.lang.String arguments)
                   throws SAGApplicationException

  This method establishes the subscription of a message partner to get its addressed server traffic.

  Parameters:
    `address` - Argument to set with the message partner name. This name is used as the address of the server traffic of a message partner.
    `arguments` - Argument passing of the subscription. One important argument is the local message authentication code (LMAC), needed to authenticate the subscription. This argument is only needed if the message partner requires local authentication.
  Throws:
    `SAGApplicationException` - on error

### unsubscribe

    void unsubscribe(java.lang.String address)
                     throws SAGApplicationException

  This method ends the subscription of a message partner. As a result, the handle cannot get server traffic anymore.

  Parameters:
    `address` - Argument to set with the message partner name. This name is used as the address of the server traffic of a message partner.
  Throws:
    `SAGApplicationException` - on error

### sendResponse

    void sendResponse()
                      throws SAGApplicationException

  Send the response.

  Input : Token, Response Output: None

  Throws:
    `SAGApplicationException` - upon error.

### receiveRequest

    void receiveRequest()
                        throws SAGApplicationException

  Receive the request. If the token is c_tokenAny, the received request is a one way message.

  Input : None Output: Token, Request

  Throws:
    `SAGApplicationException` - upon error.

### receiveRequest

    void receiveRequest(long timeout)
                        throws SAGApplicationException

  Receive the request (long). If the token is c_tokenAny, the received request is a one way message.

  Input : None Output: Token, Request

  Parameters:
    `timeout` -
  Throws:
    `SAGApplicationException` - upon error.

### sendError

    void sendError(long errorCode,
                   java.lang.String errorData)
                   throws SAGApplicationException

  Send the error.

  Input : Token Output: None

  Parameters:
    `errorCode` - Error Code (0: Local authentication; 1: No server business response)
    `errorData` - Error data that can be given back.
  Throws:
    `SAGApplicationException` - upon error.

### getToken

    long getToken()

  Gets the token.

  Parameters:
    None.

  Returns:
    `long` - Returns token.
  Throws:
    None.

### getRequest

    SAGMessage getRequest()

  Gets the request.

  Parameters:
    None.

  Returns:
    `SAGMessage` - Returns SAGMessage.
  Throws:
    None.

### getResponse

    SAGMessage getResponse()

  Gets the response.

  Parameters:
    None.

  Returns:
    `SAGMessage` - Returns SAGMessage.
  Throws:
    None.

### setRequest

    void setRequest(SAGMessage request)
                    throws SAGApplicationException

  Sets the request.

  Parameters:
    `request` -
  Throws:
    `SAGApplicationException` - upon error.

### setResponse

    void setResponse(SAGMessage response)
                     throws SAGApplicationException

  Sets the response.

  Parameters:
    `response` -
  Throws:
    `SAGApplicationException` - upon error.

### setToken

    void setToken(long token)
                  throws SAGApplicationException

  Sets the token.

  Parameters:
    `token` -
  Throws:
    `SAGApplicationException` - upon error.

### getLMAC

    RemoteApis.RaSAG.SAGLMAC getLMAC()
                                     throws SAGApplicationException

  Gets the SAG LMAC.

  Parameters:
    None.

  Returns:
    `SAGLMAC` - Returns SAGLMAC.
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.